Bug 114392 - The ConfigRegistry does not track which version of an app is installed.
Summary: The ConfigRegistry does not track which version of an app is installed.
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Web Application Framework
Classification: Retired
Component: installation   
(Show other bugs)
Version: nightly
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: ccm-bugs-list
QA Contact: Jon Orris
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-27 16:18 UTC by Daniel Berrange
Modified: 2007-04-18 17:02 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-02 17:32:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Daniel Berrange 2004-01-27 16:18:37 UTC
Description of problem:
Fundamental to the process for upgrading from one application to the
next is to know which versions you are moving from/to. The config
registry keeps a track of currently installed applications, but does
not store their version numbers. In addition it is likely not going to
be possible to read this info back from, say the JARs since the user
may have already run 'rpm -Uvh [new verson of app].rpm'.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Daniel Berrange 2006-09-02 17:32:24 UTC
Closing old tickets



Note You need to log in before you can comment on or make changes to this bug.